Subject: Re: Why mandate stream creation order?

From: Jana Iyengar <[email-masked]>
Date: Thu, 15 Jun 2017 23:41:55 +0000

Thanks for the issue, Dmitri, I've created Issue #634
<https://github.com/quicwg/base-drafts/issues/634> to track this.

On Wed, May 31, 2017 at 3:23 PM, Dmitri Tikhonov <
[email-masked]> wrote:

> Hello,
>
>
>
> Section 10.1 of draft-ietf-quic-transport-03 states that “Streams MUST be
> created in sequential order.”  My question is: why mandate stream
> creation order, since the other side may receive out-of-order packets?  Let
> the implementation do what it wants with Stream IDs – as long as it does
> not go over the limit, all should be well.
>
>
>
> This phrase is a holdover from the previous version; this requirement
> seems to be unnecessary since issue 435
> <https://github.com/quicwg/base-drafts/issues/435> has been resolved.
>
>
>
>    - Dmitri.
>
>
>
> P.S.  I have read CONTRIBUTING.md
> <https://github.com/quicwg/base-drafts/blob/master/CONTRIBUTING.md> and
> decided that mailing list is the way to ask this question, rather than
> opening a GitHub issue.  If this is incorrect, please let me know.
>
>
>